Describe an Index Job

Use the describe index job operation to describe the current state of an index job.

The operation returns metadata and status information for a specific index build job. Details are returned about an asynchronous index creation or rebuild job, including its current state, progress, owner, and log file location.

See the following for examples of how to implement describe_index_job:

from oracle_vecdb import OracleVecDB, Configuration

client = OracleVecDB(Configuration(
    rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
    # or username="<user>", password="<pass>"
    access_token="<bearer-token>",
))

#create an index-build job
response = client.create_index(table_name='products')

#describe the index job
job_status = client.describe_index_job(response.job_name)
print(job_status)

A JSON response is returned describing the index job.

Example response:

{
  "job_name": "VECDB_CREATE_INDEX_ABC123",
  "job_creator": "VECTOR3",
  "operation": "CREATE",
  "state": "SUCCEEDED",
  "links": [
    {
      "rel": "collection",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/"
    },
    {
      "rel": "self",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/vecdb_create_index_abc123/"
    },
    {
      "rel": "related",
      "href": "https://<host>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/vecdb_create_index_abc123/jobfile"
    }
  ]
}

For more information about the describe_index_job operation, see Python API Reference.

See how GET /vecdb/vector-indexes/jobs/{index_job_name}/ can be used in the following example:

curl -X GET \
  "https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/VECDB_CREATE_INDEX_20260501100000/" \
  -H "Accept: application/json" \
  # Choose ONE authentication method:

  # Option 1: Basic authentication
  -u "<user>:<password>"

  # Option 2: OAuth Bearer token
  # -H "Authorization: Bearer <access_token>"

Responses:

  • Example 200 response:
    {
      "job_creator": "APPUSER",
      "job_name": "VECDB_CREATE_INDEX_20260501100000",
      "job_type": "PLSQL_BLOCK",
      "operation": "CREATE",
      "state": "SUCCEEDED",
      "start_date": "2026-05-01T10:00:00.302367Z",
      "links": [
        {
          "href": "/vecdb/vector-indexes/jobs/",
          "rel": "collection"
        },
        {
          "href": "/vecdb/vector-indexes/jobs/vecdb_create_index_20260501100000/",
          "rel": "self"
        },
        {
          "href": "/vecdb/vector-indexes/jobs/vecdb_create_index_20260501100000/jobfile",
          "rel": "related"
        }
      ]
    }

For more information about GET /vecdb/vector-indexes/jobs/{index_job_name}/, see REST API Reference.